aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--testing/perl-autovivification/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/perl-autovivification/APKBUILD b/testing/perl-autovivification/APKBUILD
new file mode 100644
index 0000000000..d972f33264
--- /dev/null
+++ b/testing/perl-autovivification/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-autovivification
+_pkgreal=autovivification
+pkgver=0.16
+pkgrel=0
+pkgdesc="Lexically disable autovivification."
+url="http://search.cpan.org/dist/autovivification/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/V/VP/VPIT/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="7e20817f6034910c1bc23351d81a0658 autovivification-0.16.tar.gz"
+sha256sums="814d0ef1fc6f01dbd0b85ffbec474b66d581c3a3ceb537e5ca67dbe9129f4290 autovivification-0.16.tar.gz"
+sha512sums="f029249c2b23a2c70d11291f7a2982c7e2e7cf824330bc2c4af1e15624ff22078250e3b324e9ba0f7dd617615256139aca6227b09a525182c89196f134a07c84 autovivification-0.16.tar.gz"